<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class SpecialtyProgramFile 
{
    /** @var string $id The id of the file that is attached to a Specialty Program.*/
    public string $id;
    /** @var string $name The name of the file that is attached to a Specialty Program.*/
    public string $name;
    /** @var string $fileLink The URL of the file that is attached to a Specialty Program.*/
    public string $fileLink;
    /** @var string $fileName The name of the file as it was stored on the users computer when they uploaded it.*/
    public string $fileName;

    /**
     * @param  string  $id The id of the file that is attached to a Specialty Program.
     * @param  string  $name The name of the file that is attached to a Specialty Program.
     * @param  string  $fileLink The URL of the file that is attached to a Specialty Program.
     * @param  string  $fileName The name of the file as it was stored on the users computer when they uploaded it.
     */
    public function __construct(string $id, string $name, string $fileLink, string $fileName)
    {
        $this->id = $id;
        $this->name = $name;
        $this->fileLink = $fileLink;
        $this->fileName = $fileName;
    }
    

}